summaryrefslogtreecommitdiffstats
path: root/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2023-03-31 15:36:25 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2023-04-03 20:34:22 +0000
commit15c67927eb7d4e23935e25ea26acb6755f842436 (patch)
tree4f9be6bd04ee5f5efa03cc5fa9d15ed22d4d5397 /recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh
parentbe178a5a167547dc6505cd8750cc8d63e4d064e5 (diff)
Rework nss-agl-driver-db to be a systemd unit at runtimeoctopus_15.0.1octopus/15.0.115.0.1
This avoids the issues seen with access rights changes on /home/agl-driver and will replace https://gerrit.automotivelinux.org/gerrit/c/AGL/meta-agl-demo/+/28587 Bug-AGL: SPEC-4599 Change-Id: If01ffc9623208edd7a7705739465fa8fca764b74 Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> (cherry picked from commit 11323fa1ed396e3e16f4df327911bc9c60cc6e01)
Diffstat (limited to 'recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh')
-rwxr-xr-xrecipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh b/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh
new file mode 100755
index 00000000..1a8351bf
--- /dev/null
+++ b/recipes-core/nss/nss-agl-driver-db/nss-agl-driver-db.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+# TLDR we need this file for chromium to connect back to kuksa.
+
+# check if directory already exists and bail out
+if test -d /home/agl-driver/.pki/nssdb ; then
+ echo "Directory already exists! Doing nothing."
+ exit 127
+fi
+
+# setup empty db in subfolder
+mkdir -p /home/agl-driver/.pki/nssdb
+certutil -N -d /home/agl-driver/.pki/nssdb --empty-password
+
+# deploy cert into local db
+certutil -A -d /home/agl-driver/.pki/nssdb -n "KuksaRootCA" -t "pC,," -i /etc/kuksa-val/CA.pem
+
+#chown -R agl-driver:agl-driver /home/agl-driver/.pki/nssdb